### Method

# Gtk Pictureset_keep_aspect_ratio

deprecated: 4.8

#### Declaration [src]

    void
    gtk_picture_set_keep_aspect_ratio (
      GtkPicture* self,
      gboolean keep_aspect_ratio
    )

#### Description [src]

If set to `TRUE`, the `self` will render its contents according to their aspect ratio.

That means that empty space may show up at the top/bottom or left/right of `self`.

If set to `FALSE` or if the contents provide no aspect ratio, the contents will be stretched over the picture’s whole area.

Deprecated since: 4.8

Use `gtk_picture_set_content_fit()` instead. If still used, this method will always set the `GtkPicture:content-fit` property to `GTK_CONTENT_FIT_CONTAIN` if `keep_aspect_ratio` is true, otherwise it will set it to `GTK_CONTENT_FIT_FILL`.

Sets property | `Gtk.Picture:keep-aspect-ratio`

#### Parameters

`keep_aspect_ratio`

  Type: `gboolean`

  Whether to keep aspect ratio.